From a02faa555d218ff6c042eb6590b106deedd77ecb Mon Sep 17 00:00:00 2001
From: Matt Trzcinski <matt@excalamus.com>
Date: Fri, 23 Dec 2022 22:57:12 -0500
Subject: [PATCH 17/20] test-ob-shell.el: Refactor ob-shell/exit-code

* test-ob-shell.el (ob-shell/exit-code): Rename `ob-shell/exit-code'
to `test-ob-shell/exit-code'.
(ob-shell/exit-code): On pass, kill buffer created by test.
---
 testing/lisp/test-ob-shell.el | 18 ++++++++++--------
 1 file changed, 10 insertions(+), 8 deletions(-)

diff --git a/testing/lisp/test-ob-shell.el b/testing/lisp/test-ob-shell.el
index fb58e70e1..be9d1488d 100644
--- a/testing/lisp/test-ob-shell.el
+++ b/testing/lisp/test-ob-shell.el
@@ -364,16 +364,18 @@ buffer, alongside multiple exit codes."
 
 ;;; Exit codes
 
-(ert-deftest ob-shell/exit-code ()
+(ert-deftest test-ob-shell/exit-code ()
   "Test that the exit code shows in the error buffer after exiting
 with a non-zero return code."
-  (should
-   (string= "[ Babel evaluation exited with code 1 ]"
-            (progn (org-babel-eval-wipe-error-buffer)
-                   (org-babel-execute:sh
-                    "exit 1" nil)
-                   (with-current-buffer org-babel-error-buffer-name
-                     (buffer-string))))))
+  (if
+      (should
+       (string= "[ Babel evaluation exited with code 1 ]"
+                (progn (org-babel-eval-wipe-error-buffer)
+                       (org-babel-execute:sh
+                        "exit 1" nil)
+                       (with-current-buffer org-babel-error-buffer-name
+                         (buffer-string)))))
+      (kill-buffer "*Org-Babel Error Output*")))
 
 (ert-deftest ob-shell/exit-code-multiple ()
   "Test that multiple exit codes show in the error buffer after
-- 
2.38.1

